Users
Get user by ID
Returns detailed information about a specific user, including their profile data. You can only access users you have a connection with.
GET
/
users
/
{id}
Get user by ID
curl --request GET \
--url https://dashboard.researchanddesire.com/api/v1/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dashboard.researchanddesire.com/api/v1/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.researchanddesire.com/api/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": 42,
"username": "alice_trainer",
"accountType": "user",
"subscriptionTier": "ultra",
"league": 3,
"rank": 150,
"totalPoints": 12500,
"matchPoints": 800,
"profileImage": "https://example.com/avatar.jpg",
"profileDescription": "Hello world",
"profileTitle": "Expert Trainer",
"dttTotalReps": 24500,
"dttTotalSessions": 312
}
}{
"ok": false,
"error": "Invalid ID"
}{
"ok": false,
"error": "Unauthorized"
}{
"ok": false,
"error": "User not found"
}Authorizations
API tokens can be created in the Dashboard settings. Requires an Ultra subscription.
Path Parameters
The user's internal ID
Required range:
x >= 1Example:
42
Was this page helpful?
Previous
List DTT devicesReturns all Deepthroat Trainer devices registered to your account, ordered by most recently visited.
Next
⌘I
Get user by ID

